/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../styles/ant-variables.less';
@import '../../../styles/plateg-variables.less';
@import '../../../styles/ant-mixins.less';
@import '../../../styles/plateg-mixins.less';

.info-icon {
  cursor: pointer;
  border: 0;
  padding: 3px;
  background: none;
  vertical-align: middle;
  line-height: 1;
  margin-left: 8px;
  font-size: 1.8rem;
  &:hover,
  &:focus,
  &.active {
    .anticon {
      display: none;
      vertical-align: text-top;
    }
    .active-icon {
      display: inline-block;
    }
  }
  .anticon {
    vertical-align: text-top;
  }
  &:focus {
    .general-outline-layout;
  }
  .active-icon {
    display: none;
    vertical-align: text-top;
  }
  &.active {
    .active-icon {
      color: @platform-blue1;
    }
  }
  &:disabled {
    pointer-events: none;
    background-color: unset;
    border: unset;
    color: @text-disabled-blue-4-bg;
  }
  &.ant-tooltip-disabled-compatible-wrapper {
    pointer-events: none;
    button {
      background-color: unset;
      border: unset;
    }
  }
}

.help-link {
  span {
    text-decoration: underline;
    font-weight: normal;
  }
  &.active {
    background: @platform-blue1;
    color: white !important;
  }
}
.drawer-dragger {
  display: flex;
  align-items: center;
  width: 10px;
  height: 100%;
  cursor: ew-resize;
  padding: 4px 0 0;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  z-index: 100;
  background: #bfcbf6;
  &:hover {
    background: #9ca6c9;
  }
  .anticon {
    transform: rotate(90deg);
  }
}

.ant-drawer-header {
  border-bottom: 1px solid @platform-blue10 !important;
  position: relative;
  .ant-drawer-header-title {
    flex-direction: row-reverse;

    .ant-drawer-close {
      padding: 18px;
      position: absolute;
      display: inline-block;
      width: auto;
      height: auto;
      border-radius: 0;
      margin: 0;
      top: 0;
      bottom: 0;
      right: 0;
      z-index: 10;
      &:focus,
      &:hover {
        color: @platform-btn-primary-color;
        background-color: @links-color;
      }
    }
  }
}
.ant-drawer {
  z-index: 1062 !important;
  .ant-drawer-title {
    margin-right: 40px;
    word-break: break-word;
  }
  .ant-drawer-title,
  .ant-drawer-body {
    font-size: 1.6rem;
    line-height: 26px;
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
      font-size: inherit;
      line-height: inherit;
      margin: 0;
    }
    h2 {
      font-size: 1.2em;
    }
    h3 {
      font-size: 1.1em;
    }
    .ant-typography,
    p,
    li {
      a[href^="http://"],
      a[href^="https://"]
      {
        white-space: normal;
      }
    }
  }

  &.ant-drawer-open .ant-drawer-content-wrapper {
    box-shadow: none;
    @media screen and (max-width: 783px) {
      width: 100vw !important;
    }
  }

  &.ant-drawer-open {
    top: 64px;
    height: calc(100vh - 64px) !important;
    @media screen and (max-width: 783px) {
      width: 100vw !important;
      margin-top: 0 !important;
      z-index: 1062 !important;
    }
  }
}

.info-component-in-label {
  position: absolute;
  margin-left: 32px;
  margin-top: 12px;
  &.info-component-in-label-email {
    margin-left: 24px;
  }
}
.info-component-in-label-required {
  .info-component-in-label;
  margin-left: 48px;
  &.info-component-in-label-required-email {
    margin-left: 40px;
  }
}
